// MainFrm.h : interface of the CMainFrame class
//


#pragma once
class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
  afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHelpAddFile();
	afx_msg void OnHelpMain();
	afx_msg BOOL OnHelpInfo(HELPINFO* lpHelpInfo);
	afx_msg void OnHelpOnline();
	afx_msg void OnHelpWww();
  afx_msg LONG ReBuild(UINT wParam, LONG lParam);
  afx_msg LONG OnEnd(UINT wParam, LONG lParam);
  afx_msg LONG OpenOutput(UINT wParam, LONG lParam);
  afx_msg LONG NewIndLine(UINT wParam, LONG lParam);
  afx_msg void OnUpdateIndicatorLine(CCmdUI *pCmdUI);
	DECLARE_MESSAGE_MAP()
private:
	CString m_paneString;
public:
  afx_msg void OnToolsSyntaxColoring();
  afx_msg void OnToolsHideSyntaxColoring();
  afx_msg void SyntaxColoring(DWORD Flag);
};


